class NoToken(Exception):
    def __init__(self) -> None:
        self.message = "No discord bot token has been set in the .env file"
        super().__init__(self.message)

class CannotConnectToService(Exception):
    def __init__(self, service: str) -> None:
        self.message = f"Cannot connect to {service}"
        super().__init__(self.message)

class ServiceNotProvided(Exception):
    def __init__(self, service: str) -> None:
        self.message = f"A {service} instance was not provided"
        super().__init__(self.message)